#!/usr/bin/bash
#export pkg=none
mkdir /tmp/ska
sudo pacman -S git --noconfirm
for pkg in $(cat skalist) ; do
	echo $pkg
	cd $pkg
	sudo pacman -U /tmp/ska/$(cat deps | grep -v git)* --noconfirm 2>/dev/null
	/usr/local/bin/mkpkg
	## read
	#	ls -altr /var/cache/jobcore | grep $pkg
	ls -altr /tmp/ska | grep $pkg
	## read
	echo compare our version with latest in source
	grep pkgver PKGBUILD
	cat $pkg/packed-refs
	## read
	sudo pacman -U *.pkg.tar.xz --noconfirm
	sudo mv *.pkg.tar.xz /tmp/ska/
	ls -altr /tmp/ska | grep $pkg
	#	read
	sh clean2
	## read
	pwd
	ls -altr
	cd ..
	#	/usr/local/bin/repojobcore
	## read
	echo next
done
sudo pacman -Rnsu git $(cat skalist) --noconfirm
ckchroot
ls -altr /tmp/ska
